import * as React from 'react';
const HomeIcon = ({
  size,
  color = 'currentColor',
  ...props
}: { size?: number; color?: string } & React.SVGProps<any>) => (
  <svg
    width={size || 27}
    height={size || 23}
    viewBox="0 0 21 18"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M10.0731 0.133356C10.33 -0.044452 10.6701 -0.044452 10.927 0.133356L20.677 6.88336C20.9467 7.0701 21.0638 7.41048 20.9659 7.72363C20.8681 8.03677 20.5781 8.25 20.2501 8.25H18.7501C18.3358 8.25 18.0001 8.58579 18.0001 9V15.75C18.0001 16.9926 16.9927 18 15.7501 18H5.25005C4.00741 18 3.00006 16.9926 3.00006 15.75V9C3.00006 8.58579 2.66427 8.25 2.25006 8.25H0.750055C0.421985 8.25 0.13199 8.03677 0.0341701 7.72363C-0.0636497 7.41048 0.0534113 7.0701 0.323148 6.88336L10.0731 0.133356ZM8.25 13.5C7.83579 13.5 7.5 13.8358 7.5 14.25C7.5 14.6642 7.83579 15 8.25 15H12.75C13.1642 15 13.5 14.6642 13.5 14.25C13.5 13.8358 13.1642 13.5 12.75 13.5H8.25Z"
      fill={color}
    />
  </svg>
);
export default HomeIcon;
